Package com.trilead.ssh2.signature

## Class DSASHA1Verify

- java.lang.Object
- - com.trilead.ssh2.signature.DSASHA1Verify

    public class DSASHA1Verify
    extends java.lang.Object

DSASHA1Verify.

### Constructor Summary

Constructors
`DSASHA1Verify()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DSAPublicKey` `decodeSSHDSAPublicKey​(byte[] key)`
`static DSASignature` `decodeSSHDSASignature​(byte[] sig)`
`static byte[]` `encodeSSHDSAPublicKey​(DSAPublicKey pk)`
`static byte[]` `encodeSSHDSASignature​(DSASignature ds)`
`static DSASignature` `generateSignature​(byte[] message, DSAPrivateKey pk, java.security.SecureRandom rnd)`
`static boolean` `verifySignature​(byte[] message, DSASignature ds, DSAPublicKey dpk)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSASHA1Verify

    public DSASHA1Verify()

### Method Detail

#### decodeSSHDSAPublicKey

    public static DSAPublicKey decodeSSHDSAPublicKey​(byte[] key)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### encodeSSHDSAPublicKey

    public static byte[] encodeSSHDSAPublicKey​(DSAPublicKey pk)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### encodeSSHDSASignature

    public static byte[] encodeSSHDSASignature​(DSASignature ds)

#### decodeSSHDSASignature

    public static DSASignature decodeSSHDSASignature​(byte[] sig)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### verifySignature

    public static boolean verifySignature​(byte[] message,
                                          DSASignature ds,
                                          DSAPublicKey dpk)
                                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### generateSignature

    public static DSASignature generateSignature​(byte[] message,
                                                 DSAPrivateKey pk,
                                                 java.security.SecureRandom rnd)